Namespace
library
Image / Tag
mysql:8.0.35
Content Digest
sha256:c6812f0dcd978b589d9d3b90c20bd5e4a799deab4fd492985e0a076c5be1ee40
Details
Created

2023-12-18 23:06:09 UTC

Size

166 MB

Content Digest
Environment
GOSU_VERSION

1.16

MYSQL_MAJOR

8.0

MYSQL_SHELL_VERSION

8.0.35-1.el8

MYSQL_VERSION

8.0.35-1.el8

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:558b7d69a2e576e93c7cb18ecd087a92959e912b116323c188183d5cf8ab5b17 - 29.55% (48.9 MB)

[#001] sha256:bb2ede9724f323747afcfac611fa552b6c6871710b4ee7ffbe8e7f2305253580 - 0.0% (884 Bytes)

[#002] sha256:8c46e56c49748ad1ef3df50f592b21e93da8451f776929834de185f6217def34 - 0.57% (960 KB)

[#003] sha256:379d2ee58a8b297e70da0f9c5d61124cd5d38b0af4275a8da0b4eff5cba8e9f7 - 2.64% (4.38 MB)

[#004] sha256:60a2ddae3eed3d8ad92e17c90267b865dc75641c163870141934eae57e2d7285 - 0.0% (2.54 KB)

[#005] sha256:9c8240b5bfd24daf36a68f13fb8a3f19273398338db34b4fb703f02fcbb73509 - 0.0% (332 Bytes)

[#006] sha256:8a1ed96f802c1a05151b8a24d09d241aaa647817b583e84cc12afb07f38b5eed - 33.68% (55.8 MB)

[#007] sha256:cc0e7675236c28f0df7dc85a75b4802e75e92127d0baee61e296ff5e11716b7d - 0.0% (317 Bytes)

[#008] sha256:48e76090f013fd817670395e56996ddb377d16151cb9557070aca9ca2a51df21 - 33.56% (55.6 MB)

[#009] sha256:5d100781ccf966bfe70e456467538ad727ee52085bb89d101293f1232be55f63 - 0.0% (5.06 KB)

[#010] sha256:011afdd7e19aa51f6ea1b97a4d4012a5db71d3be213fd26c858666789a9ff1b4 - 0.0% (122 Bytes)


History
2023-12-18 23:06:09 UTC

/bin/sh -c #(nop) ADD file:a1f24204c7f65fe2362a45e81d2d867cc73405d4bf548fd36ff720ee36fe25ef in /

2023-12-18 23:06:09 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2023-12-18 23:06:09 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eux; groupadd --system --gid 999 mysql; useradd --system --uid 999 --gid 999 --home-dir /var/lib/mysql --no-create-home mysql # buildkit

2023-12-18 23:06:09 UTC (buildkit.dockerfile.v0)

ENV GOSU_VERSION=1.16

2023-12-18 23:06:09 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eux; arch="$(uname -m)"; case "$arch" in aarch64) gosuArch='arm64' ;; x86_64) gosuArch='amd64' ;; *) echo >&2 "error: unsupported architecture: '$arch'"; exit 1 ;; esac; curl -fL -o /usr/local/bin/gosu.asc "https://github.com/tianon/gosu/releases/download/$GOSU_VERSION/gosu-$gosuArch.asc"; curl -fL -o /usr/local/bin/gosu "https://github.com/tianon/gosu/releases/download/$GOSU_VERSION/gosu-$gosuArch"; export GNUPGHOME="$(mktemp -d)"; gpg --batch --keyserver hkps://keys.openpgp.org --recv-keys B42F6819007F00F88E364FD4036A9C25BF357DD4; gpg --batch --verify /usr/local/bin/gosu.asc /usr/local/bin/gosu; rm -rf "$GNUPGHOME" /usr/local/bin/gosu.asc; chmod +x /usr/local/bin/gosu; gosu --version; gosu nobody true # buildkit

2023-12-18 23:06:09 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eux; microdnf install -y bzip2 gzip openssl xz zstd findutils ; microdnf clean all # buildkit

2023-12-18 23:06:09 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eux; key='859BE8D7C586F538430B19C2467B942D3A79BD29'; export GNUPGHOME="$(mktemp -d)"; gpg --batch --keyserver keyserver.ubuntu.com --recv-keys "$key"; gpg --batch --export --armor "$key" > /etc/pki/rpm-gpg/RPM-GPG-KEY-mysql; rm -rf "$GNUPGHOME" # buildkit

2023-12-18 23:06:09 UTC (buildkit.dockerfile.v0)

ENV MYSQL_MAJOR=8.0

2023-12-18 23:06:09 UTC (buildkit.dockerfile.v0)

ENV MYSQL_VERSION=8.0.35-1.el8

2023-12-18 23:06:09 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eu; { echo '[mysql8.0-server-minimal]'; echo 'name=MySQL 8.0 Server Minimal'; echo 'enabled=1'; echo 'baseurl=https://repo.mysql.com/yum/mysql-8.0-community/docker/el/8/$basearch/'; echo 'gpgcheck=1'; echo 'gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-mysql'; echo 'module_hotfixes=true'; } | tee /etc/yum.repos.d/mysql-community-minimal.repo # buildkit

2023-12-18 23:06:09 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eux; microdnf install -y "mysql-community-server-minimal-$MYSQL_VERSION"; microdnf clean all; grep -F 'socket=/var/lib/mysql/mysql.sock' /etc/my.cnf; sed -i 's!^socket=.*!socket=/var/run/mysqld/mysqld.sock!' /etc/my.cnf; grep -F 'socket=/var/run/mysqld/mysqld.sock' /etc/my.cnf; { echo '[client]'; echo 'socket=/var/run/mysqld/mysqld.sock'; } >> /etc/my.cnf; ! grep -F '!includedir' /etc/my.cnf; { echo; echo '!includedir /etc/mysql/conf.d/'; } >> /etc/my.cnf; mkdir -p /etc/mysql/conf.d; mkdir -p /var/lib/mysql /var/run/mysqld; chown mysql:mysql /var/lib/mysql /var/run/mysqld; chmod 1777 /var/lib/mysql /var/run/mysqld; mkdir /docker-entrypoint-initdb.d; mysqld --version; mysql --version # buildkit

2023-12-18 23:06:09 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eu; { echo '[mysql-tools-community]'; echo 'name=MySQL Tools Community'; echo 'baseurl=https://repo.mysql.com/yum/mysql-tools-community/el/8/$basearch/'; echo 'enabled=1'; echo 'gpgcheck=1'; echo 'gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-mysql'; echo 'module_hotfixes=true'; } | tee /etc/yum.repos.d/mysql-community-tools.repo # buildkit

2023-12-18 23:06:09 UTC (buildkit.dockerfile.v0)

ENV MYSQL_SHELL_VERSION=8.0.35-1.el8

2023-12-18 23:06:09 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eux; microdnf install -y "mysql-shell-$MYSQL_SHELL_VERSION"; microdnf clean all; mysqlsh --version # buildkit

2023-12-18 23:06:09 UTC (buildkit.dockerfile.v0)

VOLUME [/var/lib/mysql]

2023-12-18 23:06:09 UTC (buildkit.dockerfile.v0)

COPY docker-entrypoint.sh /usr/local/bin/ # buildkit

2023-12-18 23:06:09 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c ln -s usr/local/bin/docker-entrypoint.sh /entrypoint.sh # backwards compat # buildkit

2023-12-18 23:06:09 UTC (buildkit.dockerfile.v0)

ENTRYPOINT ["docker-entrypoint.sh"]

2023-12-18 23:06:09 UTC (buildkit.dockerfile.v0)

EXPOSE map[3306/tcp:{} 33060/tcp:{}]

2023-12-18 23:06:09 UTC (buildkit.dockerfile.v0)

CMD ["mysqld"]

Details
Created

2023-12-18 23:06:09 UTC

Size

169 MB

Content Digest
Environment
GOSU_VERSION

1.16

MYSQL_MAJOR

8.0

MYSQL_SHELL_VERSION

8.0.35-1.el8

MYSQL_VERSION

8.0.35-1.el8

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:6988ac25ab22b91e9e2b9b71df8fcdc44661212c4214d47ad649398b4192a99e - 28.21% (47.8 MB)

[#001] sha256:cd2cec5cf6db11b1ccfb2eece22d4b387b62f30a7e328795522e23241b915c40 - 0.0% (885 Bytes)

[#002] sha256:e703d567fd0e9d63ed6a6cdc8d7c80d20a42c77fec1490c66b149c1465d70734 - 0.51% (892 KB)

[#003] sha256:de5675f5f5a69907e9069105931e0953815be44e5e525f414bf5f610186ae076 - 2.43% (4.11 MB)

[#004] sha256:a4bc09224ded2ba51f48c57c09a54abbae3a2d2fe77f98359b0f65b2b1949af1 - 0.0% (2.55 KB)

[#005] sha256:5973d772a17e3dad43aec9de4c3a7dce27288b55b6339629b14bd24010b24d21 - 0.0% (334 Bytes)

[#006] sha256:9b9a6c2ebfbd6aea57d93eafc4123d1740cce81808acba9a5d85dbd8880663de - 32.44% (54.9 MB)

[#007] sha256:de7b79f7fae5277114d8afeb416c72180f3e640b5b9dc2e6c94435e442eebd6c - 0.0% (316 Bytes)

[#008] sha256:76607ddddc68d59bd1ee822c12571fac6d827e82b2ce0405ec6b03ed0afd8cc7 - 36.4% (61.6 MB)

[#009] sha256:59d9daf91fd05c21c36e5b4845b8f0840cd0dc54d88e0623e9d6771db623b052 - 0.0% (5.06 KB)

[#010] sha256:a7d374d01142d1b07c0a4a777fb3205abab720cab3fd6cc8924a946f408f4987 - 0.0% (122 Bytes)


History
2023-12-18 23:06:09 UTC

/bin/sh -c #(nop) ADD file:d9c5a5624a292383f8c072d816e66770afc4dfd0215037516136df1ced9a2994 in /

2023-12-18 23:06:09 UTC

/bin/sh -c #(nop) CMD ["/bin/bash"]

2023-12-18 23:06:09 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eux; groupadd --system --gid 999 mysql; useradd --system --uid 999 --gid 999 --home-dir /var/lib/mysql --no-create-home mysql # buildkit

2023-12-18 23:06:09 UTC (buildkit.dockerfile.v0)

ENV GOSU_VERSION=1.16

2023-12-18 23:06:09 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eux; arch="$(uname -m)"; case "$arch" in aarch64) gosuArch='arm64' ;; x86_64) gosuArch='amd64' ;; *) echo >&2 "error: unsupported architecture: '$arch'"; exit 1 ;; esac; curl -fL -o /usr/local/bin/gosu.asc "https://github.com/tianon/gosu/releases/download/$GOSU_VERSION/gosu-$gosuArch.asc"; curl -fL -o /usr/local/bin/gosu "https://github.com/tianon/gosu/releases/download/$GOSU_VERSION/gosu-$gosuArch"; export GNUPGHOME="$(mktemp -d)"; gpg --batch --keyserver hkps://keys.openpgp.org --recv-keys B42F6819007F00F88E364FD4036A9C25BF357DD4; gpg --batch --verify /usr/local/bin/gosu.asc /usr/local/bin/gosu; rm -rf "$GNUPGHOME" /usr/local/bin/gosu.asc; chmod +x /usr/local/bin/gosu; gosu --version; gosu nobody true # buildkit

2023-12-18 23:06:09 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eux; microdnf install -y bzip2 gzip openssl xz zstd findutils ; microdnf clean all # buildkit

2023-12-18 23:06:09 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eux; key='859BE8D7C586F538430B19C2467B942D3A79BD29'; export GNUPGHOME="$(mktemp -d)"; gpg --batch --keyserver keyserver.ubuntu.com --recv-keys "$key"; gpg --batch --export --armor "$key" > /etc/pki/rpm-gpg/RPM-GPG-KEY-mysql; rm -rf "$GNUPGHOME" # buildkit

2023-12-18 23:06:09 UTC (buildkit.dockerfile.v0)

ENV MYSQL_MAJOR=8.0

2023-12-18 23:06:09 UTC (buildkit.dockerfile.v0)

ENV MYSQL_VERSION=8.0.35-1.el8

2023-12-18 23:06:09 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eu; { echo '[mysql8.0-server-minimal]'; echo 'name=MySQL 8.0 Server Minimal'; echo 'enabled=1'; echo 'baseurl=https://repo.mysql.com/yum/mysql-8.0-community/docker/el/8/$basearch/'; echo 'gpgcheck=1'; echo 'gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-mysql'; echo 'module_hotfixes=true'; } | tee /etc/yum.repos.d/mysql-community-minimal.repo # buildkit

2023-12-18 23:06:09 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eux; microdnf install -y "mysql-community-server-minimal-$MYSQL_VERSION"; microdnf clean all; grep -F 'socket=/var/lib/mysql/mysql.sock' /etc/my.cnf; sed -i 's!^socket=.*!socket=/var/run/mysqld/mysqld.sock!' /etc/my.cnf; grep -F 'socket=/var/run/mysqld/mysqld.sock' /etc/my.cnf; { echo '[client]'; echo 'socket=/var/run/mysqld/mysqld.sock'; } >> /etc/my.cnf; ! grep -F '!includedir' /etc/my.cnf; { echo; echo '!includedir /etc/mysql/conf.d/'; } >> /etc/my.cnf; mkdir -p /etc/mysql/conf.d; mkdir -p /var/lib/mysql /var/run/mysqld; chown mysql:mysql /var/lib/mysql /var/run/mysqld; chmod 1777 /var/lib/mysql /var/run/mysqld; mkdir /docker-entrypoint-initdb.d; mysqld --version; mysql --version # buildkit

2023-12-18 23:06:09 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eu; { echo '[mysql-tools-community]'; echo 'name=MySQL Tools Community'; echo 'baseurl=https://repo.mysql.com/yum/mysql-tools-community/el/8/$basearch/'; echo 'enabled=1'; echo 'gpgcheck=1'; echo 'gpgkey=file:///etc/pki/rpm-gpg/RPM-GPG-KEY-mysql'; echo 'module_hotfixes=true'; } | tee /etc/yum.repos.d/mysql-community-tools.repo # buildkit

2023-12-18 23:06:09 UTC (buildkit.dockerfile.v0)

ENV MYSQL_SHELL_VERSION=8.0.35-1.el8

2023-12-18 23:06:09 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c set -eux; microdnf install -y "mysql-shell-$MYSQL_SHELL_VERSION"; microdnf clean all; mysqlsh --version # buildkit

2023-12-18 23:06:09 UTC (buildkit.dockerfile.v0)

VOLUME [/var/lib/mysql]

2023-12-18 23:06:09 UTC (buildkit.dockerfile.v0)

COPY docker-entrypoint.sh /usr/local/bin/ # buildkit

2023-12-18 23:06:09 UTC (buildkit.dockerfile.v0)

RUN /bin/sh -c ln -s usr/local/bin/docker-entrypoint.sh /entrypoint.sh # backwards compat # buildkit

2023-12-18 23:06:09 UTC (buildkit.dockerfile.v0)

ENTRYPOINT ["docker-entrypoint.sh"]

2023-12-18 23:06:09 UTC (buildkit.dockerfile.v0)

EXPOSE map[3306/tcp:{} 33060/tcp:{}]

2023-12-18 23:06:09 UTC (buildkit.dockerfile.v0)

CMD ["mysqld"]

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.

Delete